# I love OpenSource :-(

%define name slmodem
%define version 2.9.11
%define snapshot 20080817
%define mdkrelease 0.%{snapshot}.7
%define release %mkrel %{mdkrelease}
%define url http://www.smlink.com/main/down
#	    http://linmodems.technion.ac.il/packages/smartlink/
%define moduleversion %{version}-%{release}

Summary:	slmodem utility
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}-%{snapshot}.tar.gz
Source1:	slmodem.nodes
Source2:	slmodem.perms
Patch0:		%{name}-2.9.9-dkms.patch
Patch1:		slmodem-2.9.11-20070813-mdkize.patch
Patch2:		slmodem-Makefile-2.4.patch
Patch3:		slmodem-motorola-id.patch
Patch4:		slmodem-2.9.11-20080817-ioctl_hookstate.patch
Patch5:		slmodem-2.9.11-20080817-kernel-2.6.33.patch
License:	SmartLink
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		%{url}
Prefix:		%{_prefix}
Requires(post):	udev >= 114-7mdv2008.0
BuildRequires:	libalsa-devel
ExclusiveArch:	%{ix86}

%description
slmodem driver utility.

%package -n dkms-%{name}
Summary:	slmodem module
Group:		System/Kernel and hardware
Requires:	drakxtools >= 9.2-8mdk
Requires(post):	dkms
Requires(preun):	dkms

%description -n dkms-%{name}
slmodem module Linux driver.

%prep
%setup -q -n %{name}-%{version}-%{snapshot}
%patch0 -p1 -b .dkms
%patch1 -p1 -b .mdkize
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%make -C modem SUPPORT_ALSA=1

%install
rm -rf $RPM_BUILD_ROOT

# utils 
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m755 modem/slmodemd modem/modem_test $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
install -m644 scripts/suse/slmodemd.conf $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/slmodemd
install -m755 scripts/mandrake/slmodemd $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/udev/devices.d/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/devices.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.perms.d/
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.perms.d/

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{moduleversion}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{moduleversion}
rm -rf $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{moduleversion}/{patches,scripts}
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{moduleversion}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{moduleversion}

DEST_MODULE_LOCATION[0]=/kernel/drivers/char
BUILT_MODULE_NAME[0]=slamr
BUILT_MODULE_LOCATION[0]=drivers
if ! echo \${kernelver} | \\
     egrep -q "^2\.6\.(2[7-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
then
DEST_MODULE_LOCATION[1]=/kernel/drivers/char
BUILT_MODULE_NAME[1]=slusb
BUILT_MODULE_LOCATION[1]=drivers
fi
MAKE[0]="make KERNEL_DIR=\${kernel_source_dir} drivers"
CLEAN="make clean"

AUTOINSTALL=yes
EOF

%post
%_post_service slmodemd
/sbin/create_static_dev_nodes /dev %{_sysconfdir}/udev/devices.d/slmodem.nodes
echo "Relaunch drakconnect to configure your slmodem cards"

%preun
%_preun_service slmodemd

%post -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %name -v %moduleversion
/usr/sbin/dkms --rpm_safe_upgrade build -m %name -v %moduleversion
/usr/sbin/dkms --rpm_safe_upgrade install -m %name -v %moduleversion
exit 0

%preun -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %moduleversion --all
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes README
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/slmodemd
%{_sysconfdir}/rc.d/init.d/slmodemd
%{_sysconfdir}/udev/devices.d/slmodem.nodes
%{_sysconfdir}/security/console.perms.d/slmodem.perms

%files -n dkms-%{name}
%defattr(-,root,root)
%doc %{_docdir}/%{name}/*
%{_usr}/src/%{name}-%{moduleversion}


%changelog
* Thu Mar 18 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.9.11-0.20080817.7mdv2010.1
+ Revision: 525094
- Fix build with linux 2.6.33

* Thu Nov 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.9.11-0.20080817.6mdv2010.1
+ Revision: 465375
- Rebuild for fixed changelog.

* Thu Nov 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.9.11-0.20080817.5mdv2010.1
+ Revision: 465294
- Add id for new Motorola modem which needs to be SL1900_CARD
- Fix build when kernel has in its version a release with '2.4', not
  really being a kernel 2.4
- Fixed slamr to work with kernel 2.6.31
- Fix removal of slmodem dkms package

* Sun Feb 08 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 2.9.11-0.20080817.4mdv2009.1
+ Revision: 338469
- really set card 1 as default

* Sat Feb 07 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 2.9.11-0.20080817.3mdv2009.1
+ Revision: 338376
- set default card to 1 to be backward compatible

* Sat Feb 07 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 2.9.11-0.20080817.2mdv2009.1
+ Revision: 338372
- ALSA fixes:
  * Should-Start alsa
  * allow any snd-* module for ALSA, not only snd-intel8x0m
  * use sysfs to check for module; this works even if driver is built-in
  * introduce SLMODEMD_CARD_NUMBER to specify which device to use.
  slmodemd defaults to hw:1 which does not neccesarily correspond to real
  device, nor is snd/controlC0 always correct

* Wed Sep 10 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.9.11-0.20080817.1mdv2009.0
+ Revision: 283347
- Updated to 20080817 snapshot.
- Removed already applied patches alsa-period-size, SA_SHIRQ.
- slusb can't be built anymore with 2.6.25 or later kernels, add proper
  conditional inside dkms.conf to accomodate for this change.

* Tue Jul 08 2008 Olivier Blin <oblin@mandriva.com> 2.9.11-0.20070813.4mdv2009.0
+ Revision: 232838
- do not require drakxtools
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Pascal Terjan <pterjan@mandriva.org> 2.9.11-0.20070813.3mdv2008.1
+ Revision: 113466
- Fix build on 2.6.24

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - mark /etc/sysconfig/slmodemd as config(noreplace)

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Wed Oct 03 2007 Olivier Blin <oblin@mandriva.com> 2.9.11-0.20070813.2mdv2008.0
+ Revision: 95266
- do not pass hw: option by default when using alsa module (#20067)
- fix snd_intel8x0m configuration (#34053)
- create device nodes in post script as well (#29724)
- only check that period size is larger or equal than requested,
  to fix some HDA modems (ripped from Claudio's blog, ALSA bug #3213)
- add requires post/preun for dkms

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 2.9.11-0.20070813.1mdv2008.0
+ Revision: 94563
- do not load slamr/slusb modules in post (#20067 again)

  + Pascal Terjan <pterjan@mandriva.org>
    - Don't force preloading of slamr module (#20067)
    - Add the release in the module version (we at least need to include the snapshot date)
    - Also create slamr1,slusb0,slusb1
    - Have udev to create /dev/slamr0 ans pam-console to give it to the user (workaround #29724)
    - Update to 20070813 snapshot
    - Don't uselessly hardcode builddir
    - Update docdir


* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 2.9.11-0.20060727.3mdv2007.1
+ Revision: 149025
- only build on i586 for now
- fix buildrequires
- strip packager tag
- add LSB initscript header
- fix typo in initscript
- Import slmodem

* Tue Mar 20 2007 Olivier Blin <blino@mandriva.com> 2.9.11-0.20060727.2mdv2007.1
- fix build with latest dkms by running our own make clean (#29408)

* Tue Aug 15 2006 Arnaud Patard <apatard@mandriva.com> 2.9.11-0.20060727-1mdv2007
- Newer version

* Sat Sep 10 2005 Olivier Blin <oblin@mandrakesoft.com> 2.9.10-9mdk
- update Patch1 to add SLMODEMD_MODULE support in initscript
  (allow to easily configure ALSA drivers in sysconfig file)

* Wed Aug 31 2005 Arnaud Patard <apatard@mandriva.com> 2.9.10-8mdk
- build fixes

* Wed Apr 06 2005 Arnaud Patard <apatard@mandrakesoft.com> 2.9.10-7mdk
- Corrected behaviour of handling the return of pci_register_driver
- Added some intel ich pciids

* Thu Mar 10 2005 Arnaud Patard <apatard@mandrakesoft.com> 2.9.10-6mdk
- Build fix for the >= 2.6.10 kernels

* Fri Oct 01 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.9.10-5mdk
- fix init script to wait for device before launching daemon

* Fri Sep 17 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.9.10-4mdk
- rework preun/post scripts.

* Fri Sep 17 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.9.10-3mdk
- s/slmodem/slmodemd/.
- add SUPPORT_ALSA=1 build option.
- mdkize scripts/conf.

* Tue Sep 14 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.9.9-2mdk
- dkms support.

* Tue Jul 13 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.9.9-1mdk
- 2.9.9.
- ready for 2.6 kernel.

* Tue May 25 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.9.6-1mdk
- First version (build only on 2.4 kernel series).

